vellTRDocs
API ReferenceSubscriptionsPublic Subscription Read

Public Subscription Read

GET/v1/public/subscriptions/{hash}Optional

Buyer-facing read via the public portal link (the publicHash is the bearer).

Authentication

Signature Pattern

None β€” public buyer endpoint, the subscription publicHash is the bearer.

Response Parameters

FieldTypeExample
publicHashstring"kQ7rS1tV5wY8zaB3xK9mN2"
merchantNamestring"Acme Store"
statusstring"active"
amountMinorinteger50000
currencystring"TRY"
intervalCountinteger1
intervalUnitstring"month"
cardLast4string"4321"
cardBrandstring"visa"
nextChargeAtstring"2026-05-13T10:00:00Z"

Response Example

JSONResponse
{
  "publicHash": "kQ7rS1tV5wY8zaB3xK9mN2",
  "merchantName": "Acme Store",
  "status": "active",
  "amountMinor": 50000,
  "currency": "TRY",
  "intervalCount": 1,
  "intervalUnit": "month",
  "cardLast4": "4321",
  "cardBrand": "visa",
  "nextChargeAt": "2026-05-13T10:00:00Z"
}

Status Codes

200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
GEThttps://api.pay.sandbox.kvell.group